PROTTEST(1)

NAME
prottest - Selection of best-fit models of protein evolution (sequential version)

SYNOPSIS
prottest -i alignm_file [OPTIONS]

DESCRIPTION
 PROTTEST (ModelTest's relative) is a program for selecting the model of
 protein evolution that best fits a given set of sequences (alignment).
 This java program is based on the Phyml program (for maximum likelihood
 calculations and optimization of parameters) and uses the PAL library as
 well. Models included are empirical substitution matrices (such as WAG,
 LG, mtREV, Dayhoff, DCMut, JTT, VT, Blosum62, CpREV, RtREV, MtMam,
 MtArt, HIVb, and HIVw) that indicate relative rates of amino acid
 replacement, and specific improvements (+I:invariable sites, +G: rate
 heterogeneity among sites, +F: observed amino acid frequencies) to
 account for the evolutionary constraints impossed by conservation of
 protein structure and function. ProtTest uses the Akaike Information
 Criterion (AIC) and other statistics (AICc and BIC) to find which of the
 candidate models best fits the data at hand.

OPTIONS

-i alignment_filename

    Alignment input file (required)

-t tree_filename

    Tree file (optional) [default: NJ tree]

-o output_filename

    Output file (optional) [default: standard output]

-log enabled/disabled

    Enables / Disables PhyML logging into log directory (see prottest.properties)

-[matrix]

    Include matrix (Amino-acid) = JTT LG DCMut MtREV MtMam MtArt Dayhoff WAG RtREV CpREV Blosum62 VT HIVb HIVw FLU

    If you don't specify any matrix, all matrices displayed above will be included.

-I

    Include models with a proportion of invariable sites

-G

    Include models with rate variation among sites and number of categories

-IG

    include models with both +I and +G properties

-all-distributions

    Include models with rate variation among sites, number of categories and both

-ncat number_of_categories

    Define number of categories for +G and +I+G models [default: 4]

-F

    Include models with empirical frequency estimation

-AIC

    Display models sorted by Akaike Information Criterion (AIC)

-BIC

    Display models sorted by Bayesian Information Criterion (BIC)

-AICC

    Display models sorted by Corrected Akaike Information Criterion (AICc)

-DT

    Display models sorted by Decision Theory Criterion

-all

    Displays a 7-framework comparison table

-S optimization_strategy

    Optimization strategy mode: [default: 0]

    0: Fixed BIONJ JTT

    1: BIONJ Tree

    2: Maximum Likelihood tree

    3: User defined topology

-s moves

    Tree search operation for ML search: NNI (fastest), SPR (slowest), BEST (best of NNI and SPR) [default: NNI]

-t1

    Display best-model's newick tree [default: false]

-t2

    Display best-model's ASCII tree [default: false]

-tc consensus_threshold

    Display consensus tree with the specified threshold, between 0.5 and 1.0 [0.5 = majority rule consensus ; 1.0 = strict consensus]

-threads number_or_threads

    Number of threads requested to compute (only if MPJ is not used) [default: 1]

-verbose

    Verbose mode [default: false]

EXAMPLE
prottest -i alignm_file -t tree_file -S 0 -all-distributions -F -AIC -BIC -tc 0.5 > output